#include <stdio.h>
typedef struct Bid {
	double offer;
	int	items_in_bid;
	int *items;
} Bid;

typedef struct Problem {
	double epsilon;
	int num_of_items;
	int num_of_bids;
	Bid **bids; // each of these is a pointer to a bid
	int **YofX; // YofX[0] is a list of bids that item 0 is part of
} Problem;

void freeBid (Bid *bid);

void freeProblem (Problem *problem);
